summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorjbj <devnull@localhost>2005-05-30 06:40:54 +0000
committerjbj <devnull@localhost>2005-05-30 06:40:54 +0000
commit6a72073729e292b15cb0b36b68696bb6219f380b (patch)
tree14fa7d35fe47076d5d4afbe526cae723f13fc8f2 /scripts
parent48e63cdacf53807914bf8514a84fd2c8883a6c95 (diff)
downloadrpm-6a72073729e292b15cb0b36b68696bb6219f380b.tar.gz
rpm-6a72073729e292b15cb0b36b68696bb6219f380b.tar.bz2
rpm-6a72073729e292b15cb0b36b68696bb6219f380b.zip
Permit file names with spaces.
CVS patchset: 7858 CVS date: 2005/05/30 06:40:54
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/brp-strip2
-rwxr-xr-xscripts/brp-strip-comment-note2
-rw-r--r--scripts/brp-strip-shared2
-rwxr-xr-xscripts/brp-strip-static-archive2
4 files changed, 4 insertions, 4 deletions
diff --git a/scripts/brp-strip b/scripts/brp-strip
index 14938775e..66bb197bd 100755
--- a/scripts/brp-strip
+++ b/scripts/brp-strip
@@ -14,5 +14,5 @@ for f in `find $RPM_BUILD_ROOT -type f \( -perm -0100 -or -perm -0010 -or -perm
grep -v "^${RPM_BUILD_ROOT}/\?usr/lib/debug" | \
grep -v ' shared object,' | \
sed -n -e 's/^\(.*\):[ ]*ELF.*, not stripped/\1/p'`; do
- strip -g $f || :
+ strip -g "$f" || :
done
diff --git a/scripts/brp-strip-comment-note b/scripts/brp-strip-comment-note
index 87b18b71c..ac428a839 100755
--- a/scripts/brp-strip-comment-note
+++ b/scripts/brp-strip-comment-note
@@ -19,5 +19,5 @@ for f in `find $RPM_BUILD_ROOT -type f \( -perm -0100 -or -perm -0010 -or -perm
grep ALLOC >/dev/null; then
note=
fi
- strip -R .comment $note $f || :
+ strip -R .comment $note "$f" || :
done
diff --git a/scripts/brp-strip-shared b/scripts/brp-strip-shared
index 01317a502..fc614067c 100644
--- a/scripts/brp-strip-shared
+++ b/scripts/brp-strip-shared
@@ -19,5 +19,5 @@ for f in `find $RPM_BUILD_ROOT -type f -a -exec file {} \; | \
grep -v "^${RPM_BUILD_ROOT}/\?usr/lib/debug" | \
grep ' shared object,' | \
sed -n -e 's/^\(.*\):[ ]*ELF.*, not stripped/\1/p'`; do
- strip --strip-unneeded $f
+ strip --strip-unneeded "$f"
done
diff --git a/scripts/brp-strip-static-archive b/scripts/brp-strip-static-archive
index df2f92e65..961ae272c 100755
--- a/scripts/brp-strip-static-archive
+++ b/scripts/brp-strip-static-archive
@@ -14,5 +14,5 @@ for f in `find $RPM_BUILD_ROOT -type f -a -exec file {} \; | \
grep -v "^${RPM_BUILD_ROOT}/\?usr/lib/debug" | \
grep 'current ar archive' | \
sed -n -e 's/^\(.*\):[ ]*current ar archive/\1/p'`; do
- strip -g $f
+ strip -g "$f"
done